"""
@author: luojunhui
@tools: PyCharm MarsCodeAI && DeepSeek
"""
import sys
import signal
import time
import threading

from tqdm import tqdm

from coldStartTasks.multi_modal import GenerateTextFromVideo


def upload_videos_to_google_task():
    """
    本地视频上传至google云存储
    """
    video_processing = GenerateTextFromVideo()
    video_processing.connect_db()
    video_processing.upload_video_to_google_ai()


def delete_finished_videos():
    """
    从google云删除已经处理完成的视频
    """
    video_processing = GenerateTextFromVideo()
    video_processing.connect_db()
    storage_file_list = video_processing.google_ai_api.get_file_list()
    for file in storage_file_list:
        video_processing.google_ai_api.delete_video(file.name)


delete_finished_videos()